Monitor Consumptions
curl --request GET \
--url https://api.edenai.run/v2/cost_management/ \
--header 'Authorization: Bearer <token>'{
"response": [
{
"token": "base_token",
"data": {
"2024-01-01": {
"image__explicit_content": {
"total_cost": 0.03000000000000001,
"details": 20,
"cost_per_provider": {
"google": 0.03000000000000001
}
},
"text__generation": {
"total_cost": 0.065878,
"details": 54,
"cost_per_provider": {
"openai": 0.065878
}
}
},
"2024-02-01": {
"audio__text_to_speech": {
"total_cost": 0.47940000000000005,
"details": 2,
"cost_per_provider": {
"elevenlabs": 0.47940000000000005
}
},
"image__explicit_content": {
"total_cost": 0.023999999999999997,
"details": 16,
"cost_per_provider": {
"google": 0.023999999999999997
}
},
"ocr__ocr": {
"total_cost": 0.006,
"details": 4,
"cost_per_provider": {
"google": 0.006
}
}
},
"2024-03-01": {
"image__explicit_content": {
"total_cost": 0.15150000000000005,
"details": 101,
"cost_per_provider": {
"google": 0.15150000000000005
}
},
"image__question_answer": {
"total_cost": 1.3700000000000003,
"details": 69,
"cost_per_provider": {
"alephalpha": 0.02,
"google": 0.01,
"openai": 1.3400000000000003
}
},
"text__chat": {
"total_cost": 11.303349220000005,
"details": 381,
"cost_per_provider": {
"anthropic": 0.00786,
"cohere": 0.002,
"google": 0.002,
"meta": 0.00182784,
"mistral": 0.00047418,
"openai": 11.285760000000003,
"perplexityai": 0.0034272,
"replicate": 0
}
},
"text__generation": {
"total_cost": 1.093838,
"details": 1019,
"cost_per_provider": {
"openai": 1.093838
}
}
},
"2024-04-01": {
"audio__text_to_speech": {
"total_cost": 0.273,
"details": 5,
"cost_per_provider": {
"elevenlabs": 0.273
}
}
},
"2024-05-01": {
"text__chat": {
"total_cost": 25.151578000000015,
"details": 2041,
"cost_per_provider": {
"google": 0.006500000000000001,
"meta": 2.9662771199999995,
"mistral": 0.027624000000000003,
"openai": 21.665000000000017,
"perplexityai": 0.4861768799999998
}
},
"text__embeddings": {
"total_cost": 0.08262119999999998,
"details": 1671,
"cost_per_provider": {
"cohere": 0.08262119999999998
}
}
}
}
}
]
}Cost Monitoring
Monitor Consumptions
Returns aggregated consumption over time.
Only feature, subfeature, provider, and phase are accepted as row filters; any other unknown query parameter returns 400.
When called with a custom API key, results are automatically scoped to that token — the user, token, and group_by=user query parameters are not allowed and return 400/403.
GET
/
cost_management
/
Monitor Consumptions
curl --request GET \
--url https://api.edenai.run/v2/cost_management/ \
--header 'Authorization: Bearer <token>'{
"response": [
{
"token": "base_token",
"data": {
"2024-01-01": {
"image__explicit_content": {
"total_cost": 0.03000000000000001,
"details": 20,
"cost_per_provider": {
"google": 0.03000000000000001
}
},
"text__generation": {
"total_cost": 0.065878,
"details": 54,
"cost_per_provider": {
"openai": 0.065878
}
}
},
"2024-02-01": {
"audio__text_to_speech": {
"total_cost": 0.47940000000000005,
"details": 2,
"cost_per_provider": {
"elevenlabs": 0.47940000000000005
}
},
"image__explicit_content": {
"total_cost": 0.023999999999999997,
"details": 16,
"cost_per_provider": {
"google": 0.023999999999999997
}
},
"ocr__ocr": {
"total_cost": 0.006,
"details": 4,
"cost_per_provider": {
"google": 0.006
}
}
},
"2024-03-01": {
"image__explicit_content": {
"total_cost": 0.15150000000000005,
"details": 101,
"cost_per_provider": {
"google": 0.15150000000000005
}
},
"image__question_answer": {
"total_cost": 1.3700000000000003,
"details": 69,
"cost_per_provider": {
"alephalpha": 0.02,
"google": 0.01,
"openai": 1.3400000000000003
}
},
"text__chat": {
"total_cost": 11.303349220000005,
"details": 381,
"cost_per_provider": {
"anthropic": 0.00786,
"cohere": 0.002,
"google": 0.002,
"meta": 0.00182784,
"mistral": 0.00047418,
"openai": 11.285760000000003,
"perplexityai": 0.0034272,
"replicate": 0
}
},
"text__generation": {
"total_cost": 1.093838,
"details": 1019,
"cost_per_provider": {
"openai": 1.093838
}
}
},
"2024-04-01": {
"audio__text_to_speech": {
"total_cost": 0.273,
"details": 5,
"cost_per_provider": {
"elevenlabs": 0.273
}
}
},
"2024-05-01": {
"text__chat": {
"total_cost": 25.151578000000015,
"details": 2041,
"cost_per_provider": {
"google": 0.006500000000000001,
"meta": 2.9662771199999995,
"mistral": 0.027624000000000003,
"openai": 21.665000000000017,
"perplexityai": 0.4861768799999998
}
},
"text__embeddings": {
"total_cost": 0.08262119999999998,
"details": 1671,
"cost_per_provider": {
"cohere": 0.08262119999999998
}
}
}
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
user- user
Available options:
user Minimum string length:
1Required string length:
1 - 200Required range:
1 <= x <= 4Required string length:
1 - 200Minimum string length:
1Minimum string length:
1Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I